
%global meadversion 1.0.2
%global namedversion 1.0.2.GA-redhat-2
%global meadalpha .GA_redhat_2
%global meadrel .1
%global serial 3
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-stdio}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.GA-redhat-2

Name:           %{?scl_prefix}jboss-stdio
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss STDIO
Group:          Development/Libraries

%if %with mead
Source100: jboss-stdio-1.0.2.GA-redhat-2-scm-sources.zip
Source102: jboss-stdio-1.0.2.GA-redhat-2-javadoc.jar
Source103: jboss-stdio-1.0.2.GA-redhat-2-sources.jar
Source104: jboss-stdio-1.0.2.GA-redhat-2.pom
Source105: jboss-stdio-1.0.2.GA-redhat-2-project-sources.tar.gz
Source106: jboss-stdio-1.0.2.GA-redhat-2.jar
%endif

License:        LGPLv2+
URL:            https://github.com/dmlloyd/jboss-stdio/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-stdio-%{version}-%{release}-root

%description
JBoss STDIO.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-stdio
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-stdio -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
cp -p %{_sourcedir}/jboss-stdio-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-stdio-%{namedversion}.jar
cp -p %{_sourcedir}/jboss-stdio-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-stdio-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-stdio-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-stdio-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-stdio-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-stdio-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-stdio-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-stdio-%{namedversion} %{buildroot}%{_javadocdir}/jboss-stdio
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}jboss-stdio
%defattr(0644,root,root,0755)
%{_javadir}/jboss-stdio-%{namedversion}.jar
%{_javadir}/jboss-stdio.jar
%{_javadir}/jboss-stdio-%{namedversion}-sources.jar
%{_javadir}/jboss-stdio-sources.jar
%if %with javadoc
%{_javadir}/jboss-stdio-%{namedversion}-javadoc.jar
%{_javadir}/jboss-stdio-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-stdio-%{namedversion}
%{_javadocdir}/jboss-stdio
%endif

%changelog
* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.0.2-3.GA_redhat_2.1
- Rewrap for 7.2.0

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 1.0.2-2.GA_redhat_2.1
- Upgrade to 1.0.2.GA-redhat-2

* Mon Jul 29 2013 Paul Gier <pgier@redhat.com> - 0:1.0.2-1.GA_redhat_1
- Upgrade to version 1.0.2.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-7.GA_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-6.GA_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.GA_redhat_1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.GA_redhat_1
- Rebuild for RHEL-5

* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> - 0:1.0.1-4.GA_redhat_1
- Re vman to use jboss-parent:8-redhat-1

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.GA_redhat_1.1
- Populate java-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.1-3.GA_redhat_1
- Rebuild to use new signing key

* Mon Feb 06 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-2
- add javadoc subpackage
- add missing call to update maven depmap (fixes maven support)
- fix maven depmap
- fix missing sources (fixes non-MEAD build)
- fix install (fixes -bi --short-circuit)
- fix repolib file ownership

* Tue Jan 31 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.GA-redhat-1.1
- Do nor require maven2 at run-time
- Do not require jboss-parent
- Use new binaries signed with new key

* Fri Nov 11 2011 Lin Gao <lgao@redhat.com> - 0:1.0.1-1.GA-redhat-1
- upgrade to 1.0.1.GA
- build using mead

* Mon Aug 29 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-3.GA-redhat-1
- do not use variable in &lt;version&gt; in pom

* Mon Aug 29 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-2.GA-redhat-1
- wolf build

* Fri Jul 22 2011 Hui Wang <huwang@redhat.com> - 0:1.0.0-1.GA
- First release
